# ACE_Asynch_Connect_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Connect. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Connect_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Connect_Result_Impl:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Asynch_Connect_Result_Impl (void)
virtual ACE_HANDLE | connect_handle (void) const =0
| I/O handle for the connection.

## Protected Member Functions

| ACE_Asynch_Connect_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Connect.

## Constructor & Destructor Documentation

ACE_Asynch_Connect_Result_Impl::~ACE_Asynch_Connect_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Connect_Result_Impl::ACE_Asynch_Connect_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual ACE_HANDLE ACE_Asynch_Connect_Result_Impl::connect_handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle for the connection. Implemented in ACE_POSIX_Asynch_Connect_Result, and ACE_WIN32_Asynch_Connect_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl